package com.gxwebsoft.love.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.love.entity.UserPlanLog;
import com.gxwebsoft.love.param.UserPlanLogParam;

import java.util.List;

/**
 * 会员特权购买记录表Service
 *
 * @author 科技小王子
 * @since 2023-06-20 18:07:50
 */
public interface UserPlanLogService extends IService<UserPlanLog> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<UserPlanLog>
     */
    PageResult<UserPlanLog> pageRel(UserPlanLogParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<UserPlanLog>
     */
    List<UserPlanLog> listRel(UserPlanLogParam param);

    /**
     * 根据id查询
     *
     * @param logId ID
     * @return UserPlanLog
     */
    UserPlanLog getByIdRel(Integer logId);

    UserPlanLog getByOutTradeNo(String OutTradeNo);

    void updateByOutTradeNo(UserPlanLog log);

}
